package jp.co.gihyo.webdb.vol36.selenium.test;

import java.io.FileInputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.util.Properties;

import org.dbunit.DatabaseTestCase;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.database.IDatabaseConnection;
import org.dbunit.dataset.IDataSet;
import org.dbunit.dataset.xml.FlatXmlDataSet;

import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.Selenium;

public class BaseLoginTestCase extends DatabaseTestCase {

	protected Selenium selenium;
	private Properties prop;

	public BaseLoginTestCase() throws Exception {
		String bw = "*iexplore";
		String url = "http://localhost:8080";
		selenium = new DefaultSelenium( "localhost", 4444, bw, url );

		prop = new Properties();
		prop.load(new FileInputStream("jdbc.properties"));
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		selenium.start();
	}

	@Override
	protected void tearDown() throws Exception {
		selenium.stop();
		super.tearDown();
	}

	@Override
	protected IDatabaseConnection getConnection() throws Exception {
		 String driverUrl = prop.getProperty("url");
		 String user = prop.getProperty("user");
		 String pass = prop.getProperty("password");;

		Class.forName( "com.mysql.jdbc.Driver" );
		Connection con = DriverManager.getConnection( driverUrl, user, pass );
		return new DatabaseConnection( con );
	}

	@Override
	protected IDataSet getDataSet() throws Exception {
		return new FlatXmlDataSet( new FileInputStream( "testdata/initTable.xml" ) );
	}

}
