package jp.co.gihyo.webdb.vol36.selenium.test;

import junit.extensions.TestSetup;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.openqa.selenium.server.SeleniumServer;

public class ClientDriverSuite extends TestCase {

	public static Test suite() {
		String name = ClientDriverSuite.class.getName();
		TestSuite supersuite = new TestSuite( name );
		TestSuite suite = new TestSuite( name );

		suite.addTestSuite( LoginTest.class );
		suite.addTestSuite( SignupTest.class );

		supersuite.addTest( new ClientDriverTestSetup( suite ) );
		return supersuite;
	}

	static class ClientDriverTestSetup extends TestSetup {
		SeleniumServer server;

		public ClientDriverTestSetup(Test test) {
			super( test );
		}

		public void setUp() throws Exception {
			server = new SeleniumServer( 4444 );
			server.start();
		}

		public void tearDown() throws Exception {
			server.stop();
		}
	}
}
